// creator  : weidu.exe (version 23100)
// argument : KPMERC01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPMERC01~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #40204 /* ~You!  You there!  Are you the one who has replaced Lord de'Arnise in this land?!  I demand immediate restitution for this... this outrage!~ */
  IF ~~ THEN EXTERN ~KPDOMO01~ 48
END

IF ~~ THEN BEGIN 1 // from: KPDOMO01:48.0
  SAY #40206 /* ~Pfaw!  As if you did not know!  I am well aware that this land was overrun by those filthsome trolls... but that business is now over with and done!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #40207 /* ~Bandits have invaded the passes in the southern reaches of your land!  Bandits!  I have had my caravans traveling through this area for the past ten years and I have never heard of bandits here!~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #40208 /* ~You're responsible for the safety of this area... these fiends burned my caravan and took all my goods!  I demand restitution, and a guarantee that these bandits will be eliminated as soon as possible!~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #40209 /* ~If you do not... if you ignore me, I swear that not only shall I not travel through these lands again, but that I shall foreclose on every farmhold I hold a debt for!  I swear I shall!!~ */
  IF ~~ THEN EXTERN ~KPDOMO01~ 49
END

IF ~~ THEN BEGIN 5 // from: KPDOMO01:51.0
  SAY #40256 /* ~Enough of this chatter!  I demand an answer!  Will I have my restitution or not?!~ */
  IF ~~ THEN REPLY #40257 /* ~How much was your caravan worth, merchant?~ */ GOTO 6
  IF ~~ THEN REPLY #40258 /* ~I will not recompense you.  But nor will I have my people threatened.  I will purchase the farmholds' debts from you.~ */ GOTO 7
  IF ~~ THEN REPLY #40259 /* ~Your risks are your own, merchant.  If you did not have your merchandise underwritten, then you are a fool.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 8.2 5.0
  SAY #40260 /* ~Hmph.  A thousand gold pieces.  Easily.~ */
  IF ~PartyGoldGT(999)~ THEN REPLY #40261 /* ~Very well then.  A thousand gold pieces it is.~ */ DO ~TakePartyGold(1000)~ GOTO 9
  IF ~PartyGoldGT(499)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #40262 /* ~I will offer you five hundred gold, but no more.~ */ DO ~TakePartyGold(500)~ GOTO 10
  IF ~PartyGoldGT(499)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #40263 /* ~I will offer you five hundred gold, but no more.~ */ GOTO 11
  IF ~~ THEN REPLY #40264 /* ~I will not pay you a thousand gold, merchant.  But I will buy the debts of my farmers.~ */ GOTO 7
  IF ~~ THEN REPLY #40265 /* ~A thousand!  You ask for too much!  You will get nothing from me, fool!~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 11.1 8.1 6.3 5.1
  SAY #40266 /* ~Well... if that is what you wish to do, I suppose I might be convinced.  But their debts are worth around a thousand gold... the same as was the worth of my caravan.  So it makes little difference.~ */
  IF ~PartyGoldGT(999)~ THEN REPLY #40267 /* ~It makes a difference to me.  I will pay you the thousand gold.~ */ DO ~TakePartyGold(1000)~ GOTO 9
  IF ~PartyGoldGT(499)~ THEN REPLY #40268 /* ~I will offer you five hundred gold pieces for the debts... no more.~ */ GOTO 12
  IF ~~ THEN REPLY #40269 /* ~I will not pay you a thousand gold, and you are a fool to ask for it!  You will get nothing from me, merchant.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 12.3 11.2 7.2 6.4 5.2
  SAY #40270 /* ~A fool, am I?  We shall see how your farmers feel about that when I foreclose on their properties to recover my losses!~ */
  IF ~~ THEN REPLY #40272 /* ~How about I have you executed?  Then you will do nothing of the sort.~ */ GOTO 13
  IF ~~ THEN REPLY #40297 /* ~I might reconsider, then.  Perhaps I will purchase the debts of my merchants from you.~ */ GOTO 7
  IF ~~ THEN REPLY #40298 /* ~Very well, then.  How much were your losses?~ */ GOTO 6
  IF ~~ THEN REPLY #40273 /* ~Your business is your own, merchant.  Do as you wish.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 14
END

IF ~~ THEN BEGIN 9 // from: 11.0 7.0 6.0
  SAY #40274 /* ~You are very generous, my <PRO_LADYLORD>... you know the value of business to your land, I see.  And as for the bandits?  What is to be done of them?~ */
  IF ~PartyGoldGT(499)~ THEN REPLY #40275 /* ~I intend to spend five hundred gold to hire mercenaries.  They will be driven from my land quickly.~ */ DO ~TakePartyGold(500)
IncrementGlobal("KPRevolt","GLOBAL",-1)
~ GOTO 15
  IF ~PartyGoldGT(249)~ THEN REPLY #40276 /* ~I will spend two hundred-fifty gold to hire mercenaries.  It will take time, but they will be driven off eventually.~ */ DO ~TakePartyGold(250)~ GOTO 16
  IF ~~ THEN REPLY #40277 /* ~I can do nothing about them currently.  We must build up our forces... once that is done, they will be dealt with.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 17
END

IF ~~ THEN BEGIN 10 // from: 13.1 12.1 6.1
  SAY #40278 /* ~Hmmmn... hmmm.  I... I suppose it is better to have something than nothing, yes.  Very well, my <PRO_LADYLORD>, I accept.  And, might I ask, what do you intend to do about the bandits?~ */
  IF ~PartyGoldGT(499)~ THEN REPLY #40279 /* ~I intend to spend five hundred gold to hire mercenaries.  They will be driven from my land quickly.~ */ DO ~TakePartyGold(500)
IncrementGlobal("KPRevolt","GLOBAL",-1)
~ GOTO 15
  IF ~PartyGoldGT(249)~ THEN REPLY #40280 /* ~I will spend two hundred-fifty gold to hire mercenaries.  It will take time, but they will be driven off eventually.~ */ DO ~TakePartyGold(250)~ GOTO 16
  IF ~~ THEN REPLY #40281 /* ~I can do nothing about them currently.  We must build up our forces... once that is done, they will be dealt with.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 17
END

IF ~~ THEN BEGIN 11 // from: 12.2 6.2
  SAY #40282 /* ~Five hundred?!  That is simply not enough!  I am not here to bargain!  Either you will take responsibility or you won't!~ */
  IF ~PartyGoldGT(999)~ THEN REPLY #40283 /* ~Fine.  A thousand gold it is.~ */ DO ~TakePartyGold(1000)~ GOTO 9
  IF ~~ THEN REPLY #40284 /* ~Then I will buy the debts of my farmers from you, if five hundred gold is not enough.~ */ GOTO 7
  IF ~~ THEN REPLY #40285 /* ~I am not your underwriter, merchant.  If you will not accept what I offer, then you are a fool.~ */ GOTO 8
END

IF ~~ THEN BEGIN 12 // from: 7.1
  SAY #40286 /* ~No!  That is a loss of money for something that you have no right to!  Either pay the thousand gold for the debts or recompense me for my caravan.  Pfaw!  Is it so difficult to understand?!~ */
  IF ~PartyGoldGT(999)~ THEN REPLY #40287 /* ~Very well.  A thousand gold for the debts it is.~ */ DO ~TakePartyGold(1000)~ GOTO 14
  IF ~PartyGoldGT(499)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #40288 /* ~I'll compensate you for the caravan, then.  But I will only pay half: five hundred gold.~ */ DO ~TakePartyGold(500)~ GOTO 10
  IF ~PartyGoldGT(499)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #40289 /* ~I'll compensate you for the caravan, then.  But I will only pay half: five hundred gold.~ */ GOTO 11
  IF ~~ THEN REPLY #40290 /* ~Then you shall get nothing from me... you are a fool to refuse what I offer.~ */ GOTO 8
END

IF ~~ THEN BEGIN 13 // from: 8.0
  SAY #40295 /* ~My... my partners will do it if I am executed, regardless.  But... I have no wish to offend you, my <PRO_LADYLORD>.  This is a matter of business only, s-surely you understand...?~ */
  IF ~~ THEN REPLY #40296 /* ~No, I do not.  Take him away, men, and show everyone what I think of being threatened by petty merchants.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 18
  IF ~PartyGoldGT(499)~ THEN REPLY #40299 /* ~Very well.  I shall give you five hundred gold to compensate for your caravan.  But we are even, then.~ */ DO ~TakePartyGold(500)~ GOTO 10
  IF ~~ THEN REPLY #40300 /* ~I do.  You shall not be executed, then... but you will still receive nothing from me.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.2 12.0 8.3
  SAY #40301 /* ~I see.  Very well, then.  And what do you intend to do about the bandits?~ */
  IF ~PartyGoldGT(499)~ THEN REPLY #40302 /* ~I intend to spend five hundred gold to hire mercenaries.  They will be driven from my land quickly.~ */ DO ~TakePartyGold(500)
IncrementGlobal("KPRevolt","GLOBAL",-1)
~ GOTO 15
  IF ~PartyGoldGT(249)~ THEN REPLY #40303 /* ~I will spend two hundred-fifty gold to hire mercenaries.  It will take time, but they will be driven off eventually.~ */ DO ~TakePartyGold(250)~ GOTO 16
  IF ~~ THEN REPLY #40304 /* ~I can do nothing about them currently.  We must build up our forces... once that is done, they will be dealt with.~ */ DO ~IncrementGlobal("KPRevolt","GLOBAL",1)
~ GOTO 17
END

IF ~~ THEN BEGIN 15 // from: 14.0 10.0 9.0
  SAY #40306 /* ~Good enough, then.  Perhaps I shall return through this area and continue supplying the locals with goods.  So long as you keep to your promises, my <PRO_LADYLORD>.~ */
  IF ~~ THEN DO ~AddexperienceParty(15000)
MoveToPoint([1499.1196])
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.1 10.1 9.1
  SAY #40307 /* ~Hmph.  Perhaps I shall return to the area, then, when the bandits are defeated.  Until that time, your people will have to find somewhere else to buy supplies.~ */
  IF ~~ THEN DO ~MoveToPoint([1499.1196])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 14.2 10.2 9.2
  SAY #40308 /* ~Then it is unlikely I will be returning to this area soon.  I suppose your people will just have to find someone else to purchase supplies from.  Good day, my <PRO_LADYLORD>.~ */
  IF ~~ THEN DO ~MoveToPoint([1499.1196])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 13.0
  SAY #40309 /* ~WHAT?!  You will st-still...?  No!  NOOO!!~ */
  IF ~~ THEN EXTERN ~KPDOMO01~ 52
END

IF ~~ THEN BEGIN 19 // from: KPDOMO01:54.0
  SAY #40316 /* ~No, you can't d-do this!  NOOOOO!!~ */
  IF ~~ THEN DO ~MoveToPoint([1499.1196])
EscapeArea()
~ EXIT
END
